#include <iostream>

using namespace std;

int main()
{
    long long v;
    cin >> v;
    
    int s=0;
    while(v>0)
    {
        int k=v%10;
        if(k==1 || k==2 || k==5)
            s++;
        if(k==3 || k==4 || k==6 || k==7)
            s+=2;
        if(k==8 || k==9)
            s+=3;
        v/=10;
    }
    cout << s << endl;
    return 0;
}